CREATE TABLE acctinfo (
    aiid INTEGER NOT NULL,
    aitype VARCHAR(32),
    aisystime DATETIME,
    aiusername VARCHAR(16),
    aipid CHAR(8),
    PRIMARY KEY(aiid)
);
CREATE INDEX ix_aitype ON acctinfo(aitype);
CREATE INDEX ix_aisystime ON acctinfo(aisystime);
CREATE INDEX ix_aiusername ON acctinfo(aiusername);
CREATE TABLE acctinfoimage (
    aiid INTEGER NOT NULL,
    aiiimagename VARCHAR(255),
    PRIMARY KEY(aiid)
);
CREATE INDEX ix_aiiimagename ON acctinfoimage(aiiimagename);
CREATE TABLE acctinfoprint (
    aiid INTEGER NOT NULL,
    aippagecount INTEGER,
    PRIMARY KEY(aiid)
);
CREATE TABLE acctinfoprocess (
    aiid INTEGER NOT NULL,
    aipproctype VARCHAR(16),
    aiplogintime DATETIME,
    aipcputime INTEGER,
    aipmemory INTEGER,
    aipbio INTEGER,
    aipdio INTEGER,
    PRIMARY KEY(aiid)
);
CREATE INDEX ix_aipaipproctypee ON acctinfoprocess(aipproctype);
CREATE INDEX ix_aiplogintime ON acctinfoprocess(aiplogintime);

